{"format":"opendoc-document","version":1,"url":"https://docs.storm.tg/developers/operations/getstatus","title":"Check trading availability","description":"GET /v3-node-0/status: Returns the current status of the sequencer including lag, block info, and bundle counts","kind":"api-operation","locale":"en","inLanguage":"en","lastModified":"2026-10-09T14:26:32+03:00","revision":"d36475e7b456c737fae6933fa27b7e1bc2687f2c19291b05725ab2c4e8f79d7a","section":{"title":"For Developers","url":"https://docs.storm.tg/developers"},"representations":{"html":"https://docs.storm.tg/developers/operations/getstatus","markdown":"https://docs.storm.tg/developers/operations/getstatus.md","json":"https://docs.storm.tg/developers/operations/getstatus.json"},"translations":{"en":"https://docs.storm.tg/developers/operations/getstatus"},"operation":{"id":"GetStatus","method":"GET","path":"/v3-node-0/status","summary":"Check trading availability","description":"Returns the current status of the sequencer including lag, block info, and bundle counts","tags":["Execution"],"deprecated":false,"parameters":[],"bodies":[],"responses":[{"status":"200","description":"OK","mediaType":"application/json","properties":[{"name":"active_shards","type":"integer","required":false,"example":"0","schema":{"type":"integer","types":["integer"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"committed_bundles","type":"integer","required":false,"example":"0","schema":{"type":"integer","types":["integer"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"confirmed_bundles","type":"integer","required":false,"example":"0","schema":{"type":"integer","types":["integer"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"current_block","type":"integer","required":false,"example":"0","schema":{"type":"integer","types":["integer"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"failed_bundles","type":"integer","required":false,"example":"0","schema":{"type":"integer","types":["integer"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"finalizing_bundles","type":"integer","required":false,"example":"0","schema":{"type":"integer","types":["integer"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"lag","type":"integer","required":false,"example":"0","schema":{"type":"integer","types":["integer"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"last_processed_block","type":"integer","required":false,"example":"0","schema":{"type":"integer","types":["integer"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"ok","type":"boolean","required":false,"example":"true","schema":{"type":"boolean","types":["boolean"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"pending_bundles","type":"integer","required":false,"example":"0","schema":{"type":"integer","types":["integer"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"pending_intents","type":"integer","required":false,"description":"PendingIntents is the total async intake backlog (queued, not yet drained).","example":"0","schema":{"type":"integer","types":["integer"],"description":"PendingIntents is the total async intake backlog (queued, not yet drained).","nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}}],"schema":{"type":"object","types":["object"],"reference":"#/components/schemas/Trading.api.StatusResponse","nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[{"name":"active_shards","type":"integer","required":false,"example":"0","schema":{"type":"integer","types":["integer"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"committed_bundles","type":"integer","required":false,"example":"0","schema":{"type":"integer","types":["integer"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"confirmed_bundles","type":"integer","required":false,"example":"0","schema":{"type":"integer","types":["integer"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"current_block","type":"integer","required":false,"example":"0","schema":{"type":"integer","types":["integer"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"failed_bundles","type":"integer","required":false,"example":"0","schema":{"type":"integer","types":["integer"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"finalizing_bundles","type":"integer","required":false,"example":"0","schema":{"type":"integer","types":["integer"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"lag","type":"integer","required":false,"example":"0","schema":{"type":"integer","types":["integer"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"last_processed_block","type":"integer","required":false,"example":"0","schema":{"type":"integer","types":["integer"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"ok","type":"boolean","required":false,"example":"true","schema":{"type":"boolean","types":["boolean"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"pending_bundles","type":"integer","required":false,"example":"0","schema":{"type":"integer","types":["integer"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"pending_intents","type":"integer","required":false,"description":"PendingIntents is the total async intake backlog (queued, not yet drained).","example":"0","schema":{"type":"integer","types":["integer"],"description":"PendingIntents is the total async intake backlog (queued, not yet drained).","nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}}],"variants":[]},"example":"{\n  \"active_shards\": 0,\n  \"committed_bundles\": 0,\n  \"confirmed_bundles\": 0,\n  \"current_block\": 0,\n  \"failed_bundles\": 0,\n  \"finalizing_bundles\": 0,\n  \"lag\": 0,\n  \"last_processed_block\": 0,\n  \"ok\": true,\n  \"pending_bundles\": 0,\n  \"pending_intents\": 0\n}","headers":[]},{"status":"500","description":"Internal Server Error","mediaType":"application/json","properties":[{"name":"code","type":"string","required":false,"example":"string","schema":{"type":"string","types":["string"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"error","type":"string","required":false,"example":"string","schema":{"type":"string","types":["string"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"externalQueryId","type":"string","required":false,"example":"string","schema":{"type":"string","types":["string"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"msg","type":"string","required":false,"example":"string","schema":{"type":"string","types":["string"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}}],"schema":{"type":"object","types":["object"],"reference":"#/components/schemas/Trading.api.ErrorResponse","nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[{"name":"code","type":"string","required":false,"example":"string","schema":{"type":"string","types":["string"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"error","type":"string","required":false,"example":"string","schema":{"type":"string","types":["string"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"externalQueryId","type":"string","required":false,"example":"string","schema":{"type":"string","types":["string"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"msg","type":"string","required":false,"example":"string","schema":{"type":"string","types":["string"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}}],"variants":[]},"example":"{\n  \"code\": \"string\",\n  \"error\": \"string\",\n  \"externalQueryId\": \"string\",\n  \"msg\": \"string\"\n}","headers":[]}],"security":[],"codeSamples":[{"label":"cURL","language":"bash","source":"curl --request GET 'https://api.storm.tg/v3-node-0/status' \\\n  --header 'Accept: application/json'"},{"label":"JavaScript","language":"javascript","source":"const response = await fetch(\"https://api.storm.tg/v3-node-0/status\", {\n  method: \"GET\",\n  headers: {\n    \"Accept\": \"application/json\"\n  },\n});\nconsole.log(response.status, await response.text());"},{"label":"Python","language":"python","source":"import requests\n\nresponse = requests.request(\n    \"GET\",\n    \"https://api.storm.tg/v3-node-0/status\",\n    headers={\"Accept\":\"application/json\"},\n    timeout=30,\n)\nprint(response.status_code, response.text)"}]},"breadcrumbs":[{"title":"⚡ About Storm Trade","url":"https://docs.storm.tg"},{"title":"For Developers","url":"https://docs.storm.tg/developers"},{"title":"Check trading availability","url":"https://docs.storm.tg/developers/operations/getstatus"}],"headings":[{"depth":2,"id":"examples","title":"Examples"},{"depth":2,"id":"responses","title":"Responses"}],"markdown":"# Check trading availability\n\n`GET /v3-node-0/status`\n\nReturns the current status of the sequencer including lag, block info, and bundle counts\n\n## Authorization\n\n\n\n## Parameters\n\n\n\n## Example · cURL\n\n```bash\ncurl --request GET 'https://api.storm.tg/v3-node-0/status' \\\n  --header 'Accept: application/json'\n```\n\n## Example · JavaScript\n\n```javascript\nconst response = await fetch(\"https://api.storm.tg/v3-node-0/status\", {\n  method: \"GET\",\n  headers: {\n    \"Accept\": \"application/json\"\n  },\n});\nconsole.log(response.status, await response.text());\n```\n\n## Example · Python\n\n```python\nimport requests\n\nresponse = requests.request(\n    \"GET\",\n    \"https://api.storm.tg/v3-node-0/status\",\n    headers={\"Accept\":\"application/json\"},\n    timeout=30,\n)\nprint(response.status_code, response.text)\n```\n\n## Response 200 · Trading.api.StatusResponse\n\n**200** application/json — OK\n\nSchema: Trading.api.StatusResponse\n\nType: object\n\nRequired fields: none\n\n- active_shards (integer; optional)\n\nactive_shards example: 0\n\nactive_shards.Type: integer\n\n- committed_bundles (integer; optional)\n\ncommitted_bundles example: 0\n\ncommitted_bundles.Type: integer\n\n- confirmed_bundles (integer; optional)\n\nconfirmed_bundles example: 0\n\nconfirmed_bundles.Type: integer\n\n- current_block (integer; optional)\n\ncurrent_block example: 0\n\ncurrent_block.Type: integer\n\n- failed_bundles (integer; optional)\n\nfailed_bundles example: 0\n\nfailed_bundles.Type: integer\n\n- finalizing_bundles (integer; optional)\n\nfinalizing_bundles example: 0\n\nfinalizing_bundles.Type: integer\n\n- lag (integer; optional)\n\nlag example: 0\n\nlag.Type: integer\n\n- last_processed_block (integer; optional)\n\nlast_processed_block example: 0\n\nlast_processed_block.Type: integer\n\n- ok (boolean; optional)\n\nok example: true\n\nok.Type: boolean\n\n- pending_bundles (integer; optional)\n\npending_bundles example: 0\n\npending_bundles.Type: integer\n\n- pending_intents (integer; optional)\n\npending_intents example: 0\n\npending_intents.Type: integer\n\npending_intents.PendingIntents is the total async intake backlog (queued, not yet drained).\n\nExample\n\n\n\n```json\n{\n  \"active_shards\": 0,\n  \"committed_bundles\": 0,\n  \"confirmed_bundles\": 0,\n  \"current_block\": 0,\n  \"failed_bundles\": 0,\n  \"finalizing_bundles\": 0,\n  \"lag\": 0,\n  \"last_processed_block\": 0,\n  \"ok\": true,\n  \"pending_bundles\": 0,\n  \"pending_intents\": 0\n}\n```\n\n## Response 500 · Trading.api.ErrorResponse\n\n**500** application/json — Internal Server Error\n\nSchema: Trading.api.ErrorResponse\n\nType: object\n\nRequired fields: none\n\n- code (string; optional)\n\ncode example: string\n\ncode.Type: string\n\n- error (string; optional)\n\nerror example: string\n\nerror.Type: string\n\n- externalQueryId (string; optional)\n\nexternalQueryId example: string\n\nexternalQueryId.Type: string\n\n- msg (string; optional)\n\nmsg example: string\n\nmsg.Type: string\n\nExample\n\n\n\n```json\n{\n  \"code\": \"string\",\n  \"error\": \"string\",\n  \"externalQueryId\": \"string\",\n  \"msg\": \"string\"\n}\n```","text":"Check trading availability Returns the current status of the sequencer including lag, block info, and bundle counts GET /v3-node-0/status Execution 200 OK active_shards integer committed_bundles integer confirmed_bundles integer current_block integer failed_bundles integer finalizing_bundles integer lag integer last_processed_block integer ok boolean pending_bundles integer pending_intents PendingIntents is the total async intake backlog (queued, not yet drained). integer 500 Internal Server Error code string error string externalQueryId string msg string","api":{"title":"Storm API reference","version":"3.0","documentation":"https://docs.storm.tg/developers/overview","playgroundServer":"https://api.storm.tg"}}